grk::Segment Struct Reference

`#include <Codeblock.h>`

## Public Member Functions

| Segment ()
void | clear ()

## Public Attributes

uint32_t | numpasses
uint32_t | len
uint32_t | maxpasses
uint32_t | numPassesInPacket
uint32_t | numBytesInPacket

## Constructor & Destructor Documentation

## Segment()

grk::Segment::Segment | ( |  | ) |

inline

References clear().

## Member Function Documentation

## clear()

void grk::Segment::clear | ( |  | ) |

inline

References len, maxpasses, numBytesInPacket, numpasses, and numPassesInPacket.

Referenced by grk::PacketParser::initSegment(), and Segment().

## Member Data Documentation

## len

uint32_t grk::Segment::len

Referenced by clear().

## maxpasses

uint32_t grk::Segment::maxpasses

Referenced by clear().

## numBytesInPacket

uint32_t grk::Segment::numBytesInPacket

Referenced by clear().

## numpasses

uint32_t grk::Segment::numpasses

Referenced by clear().

## numPassesInPacket

uint32_t grk::Segment::numPassesInPacket

Referenced by clear().

The documentation for this struct was generated from the following file:

- Codeblock.h